Java Mailing List Archive

http://www.java2.5341.com/

Home » fop-users.xmlgraphics »

RC4 and JDK 1.6

Jonathan Levinson

2012-05-04

Replies: Find Java Web Hosting

Author LoginPost Reply

I’m using fop-1.0 with JDK 1.6 and I’m looking at the documentation: http://xmlgraphics.apache.org/fop/1.0/pdfencryption.html

 

I find that I don’t have to set up Bouncy Castle to get “-u password” encryption to prompt for a password.  Can anyone else confirm, that with JDK 1.6, Bouncy Castle is not needed, or does FOP apply a very weak encryption unless Bouncy Castle or some other RC4 provider is used?

 

Kind Regards,

Jonathan

 

©2008 java2.5341.com - Jax Systems, LLC, U.S.A.